<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="SSM_EMP:war" />
    </artifacts-to-build>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="d4c8d302-ed83-4148-bf82-c20e2454fe61" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JUnit5 Test Class" />
        <option value="Jsp File" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\Java\maven\downloadKits" />
        <option name="mavenHome" value="$USER_HOME$/maven/apache-maven-3.5.0" />
        <option name="userSettingsFile" value="D:\Java\maven\apache-maven-3.5.0\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="1t7g35BHqGyslAjAZX4jpL3fgRG" />
  <component name="ProjectViewState">
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "WebServerToolWindowFactoryState": "false",
    "last_opened_file_path": "C:/Users/耿春莹/Desktop/SSM_EMP-main/src/main/webapp/WEB-INF"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\耿春莹\Desktop\SSM_EMP-main\src\main\webapp\WEB-INF" />
      <recent name="C:\Users\耿春莹\Desktop\SSM_EMP-main\target\SSM_EMP-1.0-SNAPSHOT\WEB-INF\lib" />
      <recent name="D:\Java\JavaEE\SSM_EMP\src\main\webapp\WEB-INF\pages" />
      <recent name="D:\Java\JavaEE\SSM_EMP\src\main\resources\mapper" />
      <recent name="D:\Java\JavaEE\SSM_EMP\src\main\resources" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\Java\JavaEE\SSM_EMP\src\main\resources\mapper" />
      <recent name="D:\Java\JavaEE\SSM_EMP\src\main\webapp\WEB-INF\pages" />
      <recent name="D:\Java\JavaEE\SSM_EMP\src\main\webapp" />
      <recent name="D:\Java\JavaEE\SSM_EMP\src\main\java\com\dao" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="" />
    </key>
    <key name="CreateTestDialog.RecentsKey">
      <recent name="com.dao" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="excludedTypes">
      <set>
        <option value="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Tomcat Server.tomcat 8.5.27">
    <configuration name="UserTest.test01" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="SSM_EMP" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.dao.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.dao" />
      <option name="MAIN_CLASS_NAME" value="com.dao.UserTest" />
      <option name="METHOD_NAME" value="test01" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="tomcat 8.5.27" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.5.27" ALTERNATIVE_JRE_ENABLED="true" ALTERNATIVE_JRE_PATH="1.8.0_131">
      <option name="BROWSER_ID" value="37cae5b9-e8b2-4949-9172-aafa37fbc09c" />
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="SSM_EMP-main:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/SSM_EMP_main_war_exploded" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_SSM_EMP" />
        <option name="HTTP_PORT" value="8082" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="63279" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Profile">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="SSM_EMP:war" />
          <artifact name="SSM_EMP-main:war exploded" />
        </option>
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.UserTest.test01" />
      <item itemvalue="Tomcat Server.tomcat 8.5.27" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.UserTest.test01" />
      </list>
    </recent_temporary>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <option name="contentProportion" value="0.093643196" />
          <treeState>
            <expand />
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SpringGeneralSettings">
    <option name="allowAutoConfigurationMode" value="true" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="d4c8d302-ed83-4148-bf82-c20e2454fe61" name="Default Changelist" comment="" />
      <created>1622125338250</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1622125338250</updated>
      <workItem from="1622125342061" duration="15002000" />
      <workItem from="1622247506361" duration="12581000" />
      <workItem from="1622280978552" duration="8617000" />
      <workItem from="1622345066712" duration="20237000" />
      <workItem from="1622442872266" duration="11932000" />
      <workItem from="1622638258737" duration="4196000" />
      <workItem from="1622682906764" duration="95000" />
      <workItem from="1625729826683" duration="14215000" />
      <workItem from="1625752748187" duration="6423000" />
      <workItem from="1625796964053" duration="8582000" />
      <workItem from="1625808599050" duration="2355000" />
      <workItem from="1625811474075" duration="1913000" />
      <workItem from="1625814352681" duration="104000" />
      <workItem from="1625815065156" duration="34000" />
      <workItem from="1625815325858" duration="12928000" />
      <workItem from="1625910867526" duration="12426000" />
      <workItem from="1625960235071" duration="6732000" />
      <workItem from="1626067992775" duration="22528000" />
      <workItem from="1681030395444" duration="2197000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/SSM_EMP$tomcat9.ic" NAME="tomcat9 Coverage Results" MODIFIED="1622251280362" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
  </component>
</project>